<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="de">
<head>
<!-- Generated by javadoc (11.0.8) on Mon Nov 30 13:15:36 CET 2020 -->
<title>TimeUtil</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2020-11-30">
<link rel="stylesheet" type="text/css" href="../../stylesheet.css" title="Style">
</head>
<body>
<!-- ======== START OF CLASS DATA ======== -->
<main role="main">
<div class="header">
<div class="subTitle"><span class="packageLabelInType">Package</span>&nbsp;<a href="package-summary.html">org.eclipse.app4mc.amalthea.model.util</a></div>
<h2 title="Class TimeUtil" class="title">Class TimeUtil</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>Object</li>
<li>
<ul class="inheritance">
<li>TimeUtil</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<pre>public class <span class="typeNameLabel">TimeUtil</span>
extends Object</pre>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ========== METHOD SUMMARY =========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Method</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>static Time</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#convertToTimeUnit(org.eclipse.app4mc.amalthea.model.Time,org.eclipse.app4mc.amalthea.model.TimeUnit)">convertToTimeUnit</a></span>&#8203;(Time&nbsp;time,
                 TimeUnit&nbsp;unit)</code></th>
<td class="colLast">
<div class="block">Converts a Time object to the given TimeUnit.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>static List&lt;TimeUnit&gt;</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getTimeUnitList()">getTimeUnitList</a></span>()</code></th>
<td class="colLast">
<div class="block">Returns a list with all possible Units</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a id="methods.inherited.from.class.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;Object</h3>
<code>equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</section>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ METHOD DETAIL ========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a id="getTimeUnitList()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getTimeUnitList</h4>
<pre class="methodSignature">public static&nbsp;List&lt;TimeUnit&gt;&nbsp;getTimeUnitList()</pre>
<div class="block">Returns a list with all possible Units</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>TimeUnit.VALUES</dd>
</dl>
</li>
</ul>
<a id="convertToTimeUnit(org.eclipse.app4mc.amalthea.model.Time,org.eclipse.app4mc.amalthea.model.TimeUnit)">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>convertToTimeUnit</h4>
<pre class="methodSignature">public static&nbsp;Time&nbsp;convertToTimeUnit&#8203;(Time&nbsp;time,
                                     TimeUnit&nbsp;unit)</pre>
<div class="block">Converts a Time object to the given TimeUnit.
 Note: when convert from small unit to bigger unit, the function will round the number e.g 5200Ps = 5Ns</div>
</li>
</ul>
</li>
</ul>
</section>
</li>
</ul>
</div>
</div>
</main>
<!-- ========= END OF CLASS DATA ========= -->
</body>
</html>
